Bug 149737 - clumanager starts even if no non-slave interface is available
Summary: clumanager starts even if no non-slave interface is available
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: clumanager   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-25 21:31 UTC by Lon Hohberger
Modified: 2009-04-16 20:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 19:47:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lon Hohberger 2005-02-25 21:31:10 UTC
Description of problem:

In an incorrect networking configuration where all physical interfaces
are slaves with no bonding master present, clumanager starts and tries
to run anyway.


Version-Release number of selected component (if applicable): 1.2.22


How reproducible: Unknown


Steps to Reproduce: Unknown

Actual results:

Feb 24 16:36:27 node1 clumembd[6444]: <debug> Multicast address is
225.0.0.11 
Feb 24 16:36:27 node1 clumembd[6444]: <debug> I am member #0 
Feb 24 16:36:27 node1 clumembd[6444]: <debug> Interface IP is 127.0.0.1 
Feb 24 16:36:27 node1 clumembd[6444]: <debug> eth0 is a SLAVE; skipping! 
Feb 24 16:36:27 node1 clumembd[6444]: <debug> eth1 is a SLAVE; skipping! 
Feb 24 16:36:27 node1 clumembd[6444]: <debug> Interface IP is 192.168.0.2 
Feb 24 16:36:27 node1 clumembd[6444]: <debug> Setting up multicast
225.0.0.11 on 192.168.0.2 
Feb 24 16:36:27 node1 clumembd[6444]: <debug> Cluster I/F: eth0
[192.168.0.2] 

Expected results:

Clumanager shouldn't start if no master (and/or only slave) ethernet
devices have the cluster node's IP address bound.

Comment 1 Lon Hohberger 2005-07-11 21:50:30 UTC
Chris, is this related to all the other ARP and bonding routing problems we've
been seeing lately?


Comment 2 Lon Hohberger 2005-07-27 16:44:01 UTC
clumembd checks for IFF_SLAVE during startup -- so does the message service
initialization which is reporting eth0 as the cluster I/F... I can't get this to
happen.



Comment 3 Lon Hohberger 2005-09-29 19:47:17 UTC
This is a network configuration problem - I can't solve them all.


Note You need to log in before you can comment on or make changes to this bug.